% demo1.m demos the loading of the statistical shape model and the plotting
% of the mesh deformation of an example mode of variation
%
% In the code below, select:
% 	mode1 -- the mode of variation
%	type1 -- the region of the SSM

% Select the mode of variation of interest 1-25, example: 3
mode1=3;

%Select the region: 'trachea' or 'rmb'
type1='rmb';

% load data
if strcmp(type1, 'trachea')
    % load example
    load trachea_rep_data
    % load shape model
    load trachea_ssm

elseif strcmp(type1, 'rmb')
    % load example
    load rmb_rep_data
    % load shape model
    load rmb_ssm
else
    error('choose trachea or rmb region')
end

plot_example_mode(mode1, P, mn, V, rep_mesh, rep_case);
