function [warpimg]=s1Piecewisewarp_deformfield_distred(imag, imagpts, temppts)
% Benjamin Irving 2010

% similar to s1Piecewisewarp except a simple mean is taken of the closest
% deformation. Essentially some type of average deformation field. instead
% of finding a rotation and scaling like with procrustes which can lead to
% issues for close points

%imag - points to be warped
%imagpts - landmark points to be transformed onto temppts

tnum=5;% number of closest points that are considered in the mapping
        % can't be 1 or procrustes mapping fails
nabss=6; % this controls how fast the transform drops off

aa=size(imagpts,1);
warpimg=zeros(size(imag));

defm1=temppts-imagpts;
l=max(imag(:,3))-min(imag(:,3)); % drop in power of the transform is normalized by size of airway
l=l/nabss;

for ii=1:size(imag, 1)
    imag_1pt=imag(ii,:);

    dist=sqrt(sum(((imagpts-repmat(imag_1pt, aa, 1)).^2), 2)); %distance function
    [d_sort,I]=sort(dist,1, 'ascend'); %closest points
    II=I(1:tnum); % indices of tnum closest points
    
    trns=mean(defm1(II, :),1);
    w=(1-d_sort(1)/l); w=w*(w>0);
    warpimg(ii, :)=imag_1pt+trns*w;
end

